// This is a simple example
package main

import 	(
	"log"
	"go.wit.com/gui/gui"
	"go.wit.com/gui/gadgets"
	"go.wit.com/apps/control-panel-dns/smartwindow"
)

var myGui *gui.Node

func main() {
	myGui = gui.New().Default()

	helloworld()

	// This is just a optional goroutine to watch that things are alive
	gui.Watchdog()
}

// This creates a window
func helloworld() {
	win := gadgets.NewBasicWindow(myGui, "helloworld golang wit/gui window")

	win.Box().NewButton("hello", func () {
		log.Println("world")
		hellosmart()
	})
}

// This creates a window
func hellosmart() {
	win := smartwindow.New()
	win.SetParent(myGui)
	win.InitWindow()
	win.Title("helloworld golang wit/gui window")
	win.Vertical()
	win.SetDraw(smartDraw)
	win.Make()

	win.Box().NewButton("hello", func () {
		log.Println("smart")
	})
}

func smartDraw(sw *smartwindow.SmartWindow) {
	sw.Box().NewButton("hello", func () {
		log.Println("smart")
	})
}
